site_name: Руководство пользователя приложения Lexema
repo_url: http://gogs.lex.lan/l8-base/Dokumentooborot
edit_uri: _edit/master/docs/
nav:

markdown_extensions:
    - toc:
        separator: "_"
        permalink: "#"
        slugify: !!python/object/apply:pymdownx.slugs.slugify {kwds: {case: "lower", percent_encode: true}}
    - attr_list
    - admonition
    - sane_lists
    - pymdownx.highlight
    - pymdownx.superfences
    - def_list

extra_css:
    - css/extra.css

extra_javascript:
    - javascripts/extra.js

plugins:
    - search:
        lang: ['ru', 'en']
    - section-index
    - include-markdown
    - literate-nav:
        nav_file: SUMMARY.md
    - with-pdf:
        author: Альбина Янгирова, Ксения Шабанова, Ксения Имамутдинова, Тимур Мирзакаев, Марина Халиуллина
        copyright: ООО "Лексема"
        #
        #cover: false
        #back_cover: true
        #cover_title: TITLE TEXT
        cover_subtitle: Версия 0.0.1
        #custom_template_path: TEMPLATES PATH
        #
        toc_title: Оглавление
        #heading_shift: false
        #toc_level: 3
        #ordered_chapter_level: 2
        #excludes_children:
        #    - 'release-notes/:upgrading'
        #    - 'release-notes/:changelog'
        #
        #exclude_pages:
        #    - 'bugs/'
        #    - 'appendix/contribute/'
        #convert_iframe:
        #    - src: IFRAME SRC
        #      img: POSTER IMAGE URL
        #      text: ALTERNATE TEXT
        #    - src: ...
        #two_columns_level: 3
        #
        #render_js: true
        #headless_chrome_path: headless-chromium
        #
        output_path: pdf/user-manual.pdf
        #enabled_if_env: ENABLE_PDF_EXPORT
        #
        #debug_html: true
        #show_anchors: true
        #verbose: true

theme:
    name: material
    features:
        - navigation.instant
    language: ru
    palette:
        primary: white

docs_dir: docs
site_dir: site
   

